JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Bounds
- wm.Component
- wm.Container
- wm.Control
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable

# Class wm.LiveForm

Extends wm.LiveFormBase.
Defined in: LiveForm.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.LiveForm() LiveForm displays a set of editors for a data type.

Fields borrowed from class wm.LiveFormBase:
  dataOutput, dataSet
Fields borrowed from class wm.Control:
  disabled, height, showing, width
Fields borrowed from class wm.Component:
  name, owner

Method Summary
Method Attributes | Method Name and Description
--- | ---
| beginDataInsert() Clear the form's editors and make them editable.
| beginDataUpdate() Make the form's editors and editable.
| cancelEdit() Cancels an edit by restoring the editors to the data from the dataSet property.
| deleteData() Performs a delete operation based on the data in the dataOutput property.
| insertData() Performs an insert operation based on the data in the dataOutput property.
| updateData() Performs an update operation based on the data in the dataOutput property.

Methods borrowed from class wm.LiveFormBase:
  clearData
Methods borrowed from class wm.Control:
  addUserClass, boundsResized, disable, enable, hide, removeUserClass, setDisabled, show, updateBounds
Methods borrowed from class wm.Component:
  constructor, createComponent, destroy, getId, getRuntimeId
Methods borrowed from class wm.Object:
  extendSchema, getPropertyType, getPropFlags, getValue, listDataProperties, listProperties, setValue, toString

Class Detail
wm.LiveForm()
LiveForm displays a set of editors for a data type. LiveForm's editors display the data in its dataSet property. Output data is provided via the dataOutput property. LiveForm can directly perform operations on the dataOuput without the need for additional services, it generates a set of editors automatically. An additional editPanel widget is added by default so that operations are available without additional user setup.
Report errata or suggestions for LiveForm.
Method Detail
beginDataInsert()
Clear the form's editors and make them editable. Fires onBeginInsert event.
Report errata or suggestions for beginDataInsert.

beginDataUpdate()
Make the form's editors and editable. Fires onBeginUpdate event.
Report errata or suggestions for beginDataUpdate.

cancelEdit()
Cancels an edit by restoring the editors to the data from the dataSet property.
Report errata or suggestions for cancelEdit.

deleteData()
Performs a delete operation based on the data in the dataOutput property.
Report errata or suggestions for deleteData.

insertData()
Performs an insert operation based on the data in the dataOutput property.
Report errata or suggestions for insertData.

updateData()
Performs an update operation based on the data in the dataOutput property.
Report errata or suggestions for updateData.

Documentation generated by JsDoc Toolkit 2.0.1 on Wed Jun 03 2009 13:28:38 GMT-0700 (PDT)